import es, cPickle, os.path

words = {}

info = es.AddonInfo() 
info['name']        = "WordStats" 
info['version']     = "1.0" 
info['author']      = "Bonbon AKA: Bonbon367" 
info['url']         = "http://addons.eventscripts.com/addons/view/wordstats" 
info['description'] = "Logs every word said" 

es.ServerVar('wstats_version', info['version'], 'WordStats made by Bonbon AKA Bonbon367').makepublic()

def load():
	word_db = es.getAddonPath('wordstats') + '/words.db'
	if os.path.isfile(word_db):
		global words
		word_stats = open(word_db)
		words = cPickle.load(word_stats)
		word_stats.close()
	if not es.exists('saycommand', '!wordstats'):
		es.regsaycmd('!wordstats', 'wordstats/wordstats', '!wordstats <word>')

def unload():
	save_stuff()

def player_say(ev):
	global words
	for a in ev['text'].split(' '):
		if words.has_key(a.lower()): words[a.lower()] += 1
		else: words[a.lower()] = 1

def wordstats():
	global words
	if words.has_key(es.getargs().split(' ')[0].lower()):
		es.tell(es.getcmduserid(), '#multi', '#green[#lightgreenWordStats#green]: #lightgreen%s#green has been said #lightgreen%s#green times'%(es.getargs().split(' ')[0], words[es.getargs().split(' ')[0].lower()] + 1))
	else:
		es.tell(es.getcmduserid(), '#multi', '#green[#lightgreenWordStats#green]: #lightgreen%s#green has been said #lightgreen1 #greentime'%es.getargs().split(' ')[0])
		words[es.getargs().split(' ')[0].lower()] = 0
	words[es.getargs().split(' ')[0].lower()] += 1

def save_stuff():
	word_db = open(es.getAddonPath('wordstats') + '/words.db', 'w')
	cPickle.dump(words, word_db)
	word_db.close()

def round_end(ev):
	save_stuff()